> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Verification

> This API is still available but no longer supported and is planned for deprecation in a future release; users should transition to the [Create Verifications](/api-reference/verifications/create-verification-v2) API.



## OpenAPI

````yaml post /v1/verifications
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/verifications:
    post:
      tags:
        - Legacy-Verifications
      summary: Create Verification
      description: >-
        This API is still available but no longer supported and is planned for
        deprecation in a future release; users should transition to the [Create
        Verifications](/api-reference/verifications/create-verification-v2) API.
      operationId: createVerificationV1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerificationRequest'
            example:
              patientId: e0e2b88e-7387-4b27-aa89-e77fcf9c049c
              memberId: '000000'
              payerId: '62308'
      responses:
        '201':
          description: A verification ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerificationResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: verificationId
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    VerificationRequest:
      required:
        - patientId
        - memberId
        - payerId
      type: object
      properties:
        patientId:
          type: string
          description: The Sohar ID for the patient
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        memberId:
          type: string
          description: The insurance member ID
          example: '00000000'
        payerId:
          type: string
          description: >-
            The payer ID. See the Sohar [payer
            list](https://docs.soharhealth.com/api-reference/payers/get-payers)
          format: uuid
          example: '62308'
        npi:
          type: string
          description: >-
            An NPI to identify the provider requesting benefits, typically a
            type 2 NPI
          example: '0123456789'
        taxonomyCode:
          type: string
          description: >-
            An optional taxonomy code to override the primary taxonomy code
            associated with the provider's NPI number
          example: 2084P0800X
        placeOfService:
          type: string
          description: >-
            An optional [two-digit
            code](https://www.cms.gov/medicare/coding-billing/place-of-service-codes/code-sets)
            that describes the setting in which a service was provided
          example: '02'
        id:
          type: string
          description: An optional identifier for the verification
          example: '123456'
          maxLength: 45
        subscriber:
          type: object
          description: >-
            An optional object to describe the subscriber related to the
            insurance member ID. Used when the patient is a dependent - the
            subscriber is typically a parent or spouse
          properties:
            firstName:
              type: string
              description: The subscriber's first name
            lastName:
              type: string
              description: The subscriber's last name
            dateOfBirth:
              type: string
              description: The subscriber's birth date in MM/DD/YYYY format
              pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
              example: 09/20/2023
    VerificationResponse:
      type: object
      properties:
        patientId:
          type: string
          description: The Sohar ID for the patient
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        verificationId:
          type: string
          description: The Sohar ID for the verification
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````